g.extension(1)

NAME
g.extension.py - Maintains GRASS Addons extensions in local GRASS installation.
Downloads, installs extensions from GRASS Addons SVN repository into local GRASS installation or removes installed extensions.

KEYWORDS
general, installation, extensions

SYNOPSIS
g.extension.py
g.extension.py --help
g.extension.py [-lcgasdift] extension=name operation=string [svnurl=url] [prefix=path] [proxy=proxy[,proxy,...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-l
    List available extensions in the GRASS Addons SVN repository

-c
    List available extensions in the GRASS Addons SVN repository including module description

-g
    List available extensions in the GRASS Addons SVN repository (shell script style)

-a
    List locally installed extensions

-s
    Install system-wide (may need system administrator rights)

-d
    Download source code and exit

-i
    Do not install new extension, just compile it

-f
    Force removal when uninstalling extension (operation=remove)

-t
    Operate on toolboxes instead of single modules (experimental)

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

extension=name [required]
    Name of extension to install or remove
    Name of toolbox (set of extensions) when -t flag is given

operation=string [required]
    Operation to be performed
    Options: add, remove
    Default: add

svnurl=url
    SVN Addons repository URL
    Default: http://svn.osgeo.org/grass/grass-addons/grass7

prefix=path
    Prefix where to install extension (ignored when flag -s is given)
    Default: $GRASS_ADDON_BASE

proxy=proxy[,proxy,...]
    Set the proxy with: "http=<value>,ftp=<value>"

DESCRIPTION
g.extension downloads and installs, removes or updates extensions (Addons) from the GRASS GIS Addons repository into the local GRASS GIS installation.

Re-running g.extension on an installed GRASS GIS Addon extension re-installs the requested extension which may include updates.

In order to bulk-update all locally installed GRASS GIS extensions, they can be re-installed altogether by the g.extension.all module.

NOTES
GRASS GIS extensions are installed by g.extension into a dedicated directory (GRASS_ADDON_BASE). The default on GNU/Linux is $HOME/.grass7/addons, on MS-Windows it is $APPDATA\GRASS7\addons.

The flag -s changes this install target directory to the GRASS GIS installation directory (GISBASE, e.g. /usr/) rather than the default GRASS_ADDON_BASE directory (see also variables). g.extension checks if the user has permission to write to GISBASE or GRASS_ADDON_BASE.

On MS-Windows systems, g.extension downloads an executable from the GRASS GIS project server. On all other operating systems, it downloads the source code of the requested Addon and compiles it locally.

EXAMPLES

  Download and install of an extension
Download and install r.stream.distance into current GRASS installation

g.extension extension=r.stream.distance

  Removal of a locally installed extension

g.extension extension=r.stream.distance operation=remove

  List all available extensions from GRASS Addons SVN repository

g.extension -l

  List all locally installed extensions

g.extension -a

SEE ALSO
g.extension.all

GRASS GIS 7 Addons Manual pages
GRASS Addons wiki page.

AUTHORS
Markus Neteler (original shell script)
Martin Landa, Czech Technical University in Prague, Czech Republic (Python rewrite)

Last changed: $Date: 2015-06-07 16:49:53 +0200 (ne, 07 6 2015) $

Main index | General index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual